/* Copyright 2008 Jetro Lauha - http://iki.fi/jetro/
 *
 * $Id: AppState.cpp,v 1.2 2008-04-20 23:44:23 tonic Exp $
 * $Revision: 1.2 $
 */

#include "main.h"


bool AppState::update(UI32 time)
{
    if (mStartTime == 0)
        mStartTime = time;

    if (mPaused)
    {
        // adjust startTime so that the time spent in pause is skipped
        I32 deltaTime = (time - mStartTime) - mTime;
        mStartTime += deltaTime;
        return false;
    }

    mTime = time - mStartTime;

    return true;
}
